Bareos Bug Tracker
Bareos Bug Tracker

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000850bareos-core[All Projects] directorpublic2017-09-04 16:132018-02-20 15:07
Reporterjoergs 
Assigned To 
PrioritylowSeveritymajorReproducibilityalways
StatusclosedResolutionfixed 
PlatformLinuxOSUniventionOS Version4.0
Product Version16.2.5 
Target VersionFixed in Version 
Summary0000850: Univention: password of automatically created client do change
Descriptionfrom https://help.univention.com/t/bareos-unwanted-monthly-re-generation-of-client-passwords-of-an-ucs-domain-member/6109: [^]

since bareos update to version 16.2.5 (app center version) we regularly see a monthly (triggered on 1st of every month) re-generation of a client passwords in
/etc/bareos/autogenerated/clients/$CLIENT-HOST.include
which clearly leads in failed backup runs due to authentication errors. The client in this case in an Win 2012 R2 instance which acts as an (UCS) domain member (type: Windows Workstation/Server).
Any ideas why and which (script) re-generates the password in /etc/bareos/autogenerated/clients/$CLIENT-HOST.include of this bareos host?

btw: We reorganized to new bareos config style I described in this post.

Steps To ReproduceWhen a /etc/bareos/autogenerated/clients/*.include file is recreated, it receives a new password. After this, Bareos can not connect to the clients any more.

A call of

univention-directory-listener-ctrl resync bareos

recreates all /etc/bareos/autogenerated/clients/*.include.

Does changing the LDAP object also lead to new include file with new password?
Additional InformationMake sure, password is kept, when these files get regenerated.
TagsNo tags attached.
bareos-master: impact
bareos-master: action
bareos-18.2: impact
bareos-18.2: action
bareos-17.2: impactyes
bareos-17.2: actionfixed
bareos-16.2: impactyes
bareos-16.2: action
bareos-15.2: impact
bareos-15.2: action
bareos-14.2: impact
bareos-14.2: action
bareos-13.2: impact
bareos-13.2: action
bareos-12.4: impact
bareos-12.4: action
Attached Files

- Relationships
child of 0000910closed Release bareos-17.2.5 

-  Notes
(0002913)
joergs (administrator)
2018-02-14 19:07

Fix committed to bareos bareos-17.2 branch with changesetid 7745.

- Related Changesets
bareos: bareos-17.2 79c05582
Timestamp: 2018-02-07 19:55:48
Author: joergs
Ported: N/A
Details ] Diff ]
Univention: store automatically generated passwords

Fixes 0000850: Univention: password of automatically created client do change
mod - platforms/univention/univention-bareos.py Diff ] File ]

- Issue History
Date Modified Username Field Change
2017-09-04 16:13 joergs New Issue
2017-09-04 16:13 joergs Status new => assigned
2017-09-04 16:13 joergs Assigned To => joergs
2018-02-13 09:36 joergs Relationship added child of 0000910
2018-02-14 19:07 joergs Changeset attached => bareos bareos-17.2 79c05582
2018-02-14 19:07 joergs Note Added: 0002913
2018-02-14 19:07 joergs Status assigned => resolved
2018-02-14 19:07 joergs Resolution open => fixed
2018-02-20 15:07 joergs bareos-17.2: impact => yes
2018-02-20 15:07 joergs bareos-17.2: action => fixed
2018-02-20 15:07 joergs bareos-16.2: impact => yes
2018-02-20 15:07 joergs Status resolved => closed
2018-02-20 15:07 joergs Assigned To joergs =>


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker